## gate.event
Class CorpusEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--gate.event.GateEvent
                  |
                  +--gate.event.CorpusEvent

All Implemented Interfaces:
  Serializable

public class CorpusEvent
extends GateEvent

Models events fired by corpora when documents are added or removed.

See Also:
  Serialized Form

Field Summary
`static int` `DOCUMENT_ADDED` Event type that is fired when a new document is added to a corpus
`static int` `DOCUMENT_REMOVED` Event type that is fired when a document is removed from a corpus

Fields inherited from class gate.event.GateEvent
`FEATURES_UPDATED`

Constructor Summary
`CorpusEvent(Corpus source, Document doc, int index, int type)` Creates a new CorpusEvent.

Method Summary
`Document` `getDocument()` Gets the dcument this event refers to
`int` `getDocumentIndex()` Gets the index of the dcument this event refers to

Methods inherited from class gate.event.GateEvent
`getType`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DOCUMENT_ADDED

    public static final int DOCUMENT_ADDED

  Event type that is fired when a new document is added to a corpus

### DOCUMENT_REMOVED

    public static final int DOCUMENT_REMOVED

  Event type that is fired when a document is removed from a corpus

Constructor Detail

### CorpusEvent

    public CorpusEvent(Corpus source,
                       Document doc,
                       int index,
                       int type)

  Creates a new CorpusEvent.
  Parameters:
    `source` - the corpus that fires the event
    `doc` - the document this event refers to
    `type` - the type of event (`DOCUMENT_ADDED` or `DOCUMENT_REMOVED`).

Method Detail

### getDocument

    public Document getDocument()

  Gets the dcument this event refers to

### getDocumentIndex

    public int getDocumentIndex()

  Gets the index of the dcument this event refers to